{
		saved_FirstTime[0]
	
	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(1);
			SetWalking();
			PlayAnimation(26);
		}
	}]

	TakeGun[ (mode)
	{
		if( not self.IsDead() )
		{
			switch( mode )
			{
				case 0 { SetState_Idle(); }
				case 1 { SetState_MG42( Level.GetEntity("mg01") ); }
				case 2 { SetState_MG42( Level.GetEntity("mg02") ); }
				case 3 { SetState_MG42( Level.GetEntity("mg03") ); }
			}
		}
	}]
}